import {Component} from '@angular/core'
import {SubMenuComponent} from '../../modules/shared/components/sub-menu/sub-menu.component'
import {NavLink} from '../../modules/shared/components/nav/nav.component'
import {EmployeePermission} from '../../modules/shared/model/employee'

@Component({
  selector: 'cre-administration',
  templateUrl: './administration.component.html',
  styleUrls: ['./administration.component.sass']
})
export class AdministrationComponent extends SubMenuComponent {
  links: NavLink[] = [
    {route: '/admin/user', title: 'Utilisateurs', permission: EmployeePermission.VIEW_USERS},
    {route: '/admin/group', title: 'Groupes', permission: EmployeePermission.VIEW_USERS},
  ]
}
